=== debhello-3.4/man/CMakeLists.txt ===
install(
  FILES ${CMAKE_CURRENT_SOURCE_DIR}/hello.1
  DESTINATION share/man/man1
)
