## debmake-doc 1.0

=== debian/changelog ===
debmake-doc (1.0-1ubuntu2) wily; urgency=medium

  * Revert setting NO_PKG_MANGLE in debian/rules; it does not work as debuild
    resets the environment. This has been fixed in a more general way in
    pkgbinarymangler 122.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 23 Sep 2015 09:31:11 +0200

debmake-doc (1.0-1ubuntu1) wily; urgency=medium

  * Disable pkgbinarymangler for the debs built in the test suite. Fixes
    FTBFS.
  * Add missing gir1.2-gtk-3.0 and python3-gi build dependencies for the test
    suite.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 17 Sep 2015 09:40:34 +0200

debmake-doc (1.0-1) unstable; urgency=low

  * Initial release. Closes: #786702:

 -- Osamu Aoki <osamu@debian.org>  Mon, 25 May 2015 00:21:14 +0900
