=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debmake-doc
 Section: doc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Osamu Aoki <osamu@debian.org>
+Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: asciidoc (>=8),
                autoconf,
                automake,
@@ -19,6 +18,7 @@
                expect,
                fonts-liberation,
                gettext,
+               gir1.2-gtk-3.0,
                itstool,
                libltdl-dev,
                libtool,
@@ -28,7 +28,6 @@
                python3-debian,
                python3-distutils-extra,
                python3-gi,
-               gir1.2-gtk-3.0,
                quilt,
                texlive,
                texlive-lang-english,
