## debmake-doc 1.2

=== debian/changelog ===
debmake-doc (1.2-1) unstable; urgency=medium

  * Mention -dbgsym packages.
  * Fix: Use = instead for dependency.  Closes: #795563

 -- Osamu Aoki <osamu@debian.org>  Sun, 20 Mar 2016 23:10:11 +0900
