## debmake-doc 1.7

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,9 @@
 include Makefile.dbk
 
 build: pkg
+	$(MAKE) -C $(ASCIIDOC_DIR) xml	# base XML documentation
+
+update:
 	$(MAKE) -C $(ASCIIDOC_DIR) xml	# base XML documentation
 
 install:
@@ -26,4 +29,8 @@
 
 distclean:: clean
 
+# Use this target on devel branch source
+package:
+	debmake -t -y -zx -b':doc' -i pdebuild
+
 .PHONY: all build clean
