=== debian/changelog ===
debmake-doc (1.7-2) unstable; urgency=medium

  * Fix Vcs-Git data. 

 -- Osamu Aoki <osamu@debian.org>  Sun, 11 Dec 2016 10:32:29 +0900

debmake-doc (1.7-1) unstable; urgency=medium

  * Add "Native Debian source package without extraneous files"
  * Refine text and fix typos.
  * Fix FTBFS due to missing lintian dependency.  Closes: #846734
  * Update example scripts not to cause lintian errors.
  * Add --local option to work with new debuild interaction with
    lintian.

 -- Osamu Aoki <osamu@debian.org>  Fri, 25 Nov 2016 23:32:40 +0900

debmake-doc (1.6-1) unstable; urgency=medium

  * Add "Rebuilding package without extraneous diffs".
  * Move python module description.
  * Refine text and fix typos.

 -- Osamu Aoki <osamu@debian.org>  Wed, 23 Nov 2016 22:17:16 +0900

debmake-doc (1.5-1) unstable; urgency=medium

  * Reorganize "Simple Example" section.
  * Reinforce package customization and VCS related contents.
  * Move some sections.
  * Add some hints for debugging.

 -- Osamu Aoki <osamu@debian.org>  Fri, 18 Nov 2016 23:38:26 +0900

debmake-doc (1.4-1) unstable; urgency=medium

  * Work around "script -q" bug.
  * Reorganize debian/control section.
  * Use gbp.
  * Update debian/control stanzas.
  * Add pointer to debug tools.  Closes: #771333

 -- Osamu Aoki <osamu@debian.org>  Tue, 18 Oct 2016 23:23:19 +0900

debmake-doc (1.3-1) unstable; urgency=medium

  * Add typical multiarch package split scenario examples.
    Closes: #840158
  * Add bash-completion.
  * Stress use of licensecheck.

 -- Osamu Aoki <osamu@debian.org>  Mon, 17 Oct 2016 20:09:16 +0900
