=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                cmake,
                dblatex,
                debhelper (>=9),
-               debmake (>=4),
+               debmake (>=4.2.8),
                devscripts,
                dh-autoreconf,
                dh-python,
@@ -23,6 +23,7 @@
                libltdl-dev,
                libtool,
                libxml2-utils,
+               lintian,
                lmodern,
                python3-all,
                python3-debian,
@@ -34,13 +35,14 @@
                texlive-lang-french,
                texlive-xetex,
                tree,
+               vim,
                w3m,
                xsltproc,
                zip
-Standards-Version: 3.9.6
-Homepage: http://anonscm.debian.org/cgit/collab-maint/debmake-doc.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/debmake-doc.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/debmake-doc.git
+Standards-Version: 3.9.8
+Homepage: https://anonscm.debian.org/cgit/collab-maint/debmake-doc.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/debmake-doc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/debmake-doc.git
 
 Package: debmake-doc
 Architecture: all
