## debmake-doc 1.9

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,12 @@
 # Copyright (C) 2015 Osamu Aoki
 
 # run "make prep" before commit
+
+#ifndef DEBUG
+PKG =
+#else
+PKG = pkg
+#endif
 
 all: build
 
@@ -9,16 +15,23 @@
 include Makefile.pkg
 include Makefile.dbk
 
-build: pkg
-	$(MAKE) -C $(ASCIIDOC_DIR) xml	# base XML documentation
 
-update:
-	$(MAKE) -C $(ASCIIDOC_DIR) xml	# base XML documentation
+# Normal doc content as xml and prepare install directory
+$(BASEXML):
+	$(MAKE) -C $(ASCIIDOC_DIR) xml	# base XML doc
 
-install:
+build: $(PKG) $(BASEXML) $(wildcard $(ASCIIDOC_DIR)/*.txt)
+	echo "DEBUG='$(DEBUG)'"
+	echo "LANGPO='$(LANGPO)'"
+	echo "LANGALL='$(LANGALL)'"
+	echo "NOPDF='$(NOPDF)'"
+	echo "BASEDIR='$(BASEDIR)'"
+	echo "TMPDIR='$(TMPDIR)'"
+	$(MAKE) xml	                # XML docs for all PO
 	-mkdir -p $(TMPDIR)
 	-mkdir -p $(BASEDIR)/html
-	$(MAKE) css html pdf epub txt # build docs from XML
+
+install: css html pdf epub txt # build docs from XML
 #ifndef DEBUG
 	-rm -rf $(TMPDIR) # remove all $(TMPDIR) contents
 #endif
