=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: extra
 Maintainer: Osamu Aoki <osamu@debian.org>
-Build-Depends: asciidoc (>=8),
+Build-Depends: asciidoc,
                autoconf,
                automake,
                autopoint,
@@ -16,10 +16,16 @@
                docbook-xml,
                docbook-xsl,
                expect,
+               faketime,
+               fonts-arphic-bsmi00lp,
+               fonts-arphic-gbsn00lp,
+               fonts-ipafont,
                fonts-liberation,
+               fonts-wqy-zenhei,
                gettext,
                gir1.2-gtk-3.0,
                itstool,
+               latex-cjk-all,
                libltdl-dev,
                libtool,
                libxml2-utils,
@@ -31,8 +37,10 @@
                python3-gi,
                quilt,
                texlive,
+               texlive-lang-chinese,
                texlive-lang-english,
                texlive-lang-french,
+               texlive-lang-japanese,
                texlive-xetex,
                tree,
                vim,
