=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: debmake-doc
 Section: doc
-Priority: extra
+Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: asciidoc,
                autoconf,
@@ -8,10 +8,9 @@
                autopoint,
                cmake,
                dblatex,
-               debhelper (>=9),
-               debmake (>=4.2.8),
+               debhelper (>= 11~),
+               debmake (>= 4.2.8),
                devscripts,
-               dh-autoreconf,
                dh-python,
                docbook-xml,
                docbook-xsl,
@@ -38,8 +37,10 @@
                quilt,
                texlive,
                texlive-lang-chinese,
+               texlive-lang-cyrillic,
                texlive-lang-english,
                texlive-lang-french,
+               texlive-lang-german,
                texlive-lang-japanese,
                texlive-xetex,
                tree,
@@ -47,10 +48,10 @@
                w3m,
                xsltproc,
                zip
-Standards-Version: 3.9.8
-Homepage: https://anonscm.debian.org/cgit/collab-maint/debmake-doc.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/debmake-doc.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/debmake-doc.git
+Standards-Version: 4.2.0
+Homepage: https://salsa.debian.org/debian/debmake-doc
+Vcs-Git: https://salsa.debian.org/debian/debmake-doc.git
+Vcs-Browser: https://salsa.debian.org/debian/debmake-doc
 
 Package: debmake-doc
 Architecture: all
