## debmake-doc 1.12

=== debian/changelog ===
debmake-doc (1.12-1) unstable; urgency=high

  * Update to match recent dpkg-source behavior.
  * Fix parallel FTBFS by fixing Makefile.  Closes: #910258
  * Bump policy to 4.2.1

 -- Osamu Aoki <osamu@debian.org>  Tue, 20 Nov 2018 23:23:44 +0900
