=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
                libxml2-utils,
                lintian,
                lmodern,
+               locales-all | locales,
                python3-all,
                python3-debian,
                python3-distutils-extra,
@@ -48,7 +49,7 @@
                w3m,
                xsltproc,
                zip
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://salsa.debian.org/debian/debmake-doc
 Vcs-Git: https://salsa.debian.org/debian/debmake-doc.git
 Vcs-Browser: https://salsa.debian.org/debian/debmake-doc
