## debmake-doc 1.13

=== debian/changelog ===
debmake-doc (1.13-1) unstable; urgency=high

  * Team upload. 
  * More translation updates.
  * Makefile.dbk: Workaround a known regression inside toolchain
    (itstool).
  * Bump policy to 4.3.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 01 Mar 2019 16:50:08 -0500
