=== debian/control ===
--- 
+++ 
@@ -49,7 +49,7 @@
                w3m,
                xsltproc,
                zip
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://salsa.debian.org/debian/debmake-doc
 Vcs-Git: https://salsa.debian.org/debian/debmake-doc.git
 Vcs-Browser: https://salsa.debian.org/debian/debmake-doc
