## debmake-doc 1.14

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 build: $(PKG) $(wildcard $(ASCIIDOC_DIR)/*.txt)
 	# process ASCIIDOC after $(pkg) targets even under the parallel build
 	$(MAKE) base-xml
+	echo "LC_ALL='$(LC_ALL)'"
 	echo "DEBUG='$(DEBUG)'"
 	echo "LANGPO='$(LANGPO)'"
 	echo "LANGALL='$(LANGALL)'"
