=== debian/changelog ===
debmake-doc (1.14-1) unstable; urgency=high

  [ Boyuan Yang ]
  * po: Complete Simplified Chinese (zh_CN) translation.
  * po: More updates to German (de) translation.
  * */debian/copyright: Update source repository location for
    debmake-doc.
  * Fixes several bugs in the document:
    + Fix url of Debian systemd packaging repository.
    + Fix several typos.

  [ Osamu Aoki ]
  * Remove expect use to avoid FTBFS on some build environment. 

 -- Osamu Aoki <osamu@debian.org>  Wed, 27 Mar 2019 01:39:56 +0900
