=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                dh-python,
                docbook-xml,
                docbook-xsl,
-               expect,
                faketime,
                fonts-arphic-bsmi00lp,
                fonts-arphic-gbsn00lp,
