=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 export LC_ALL
 
 # translation for package (Override Makefile.dbk)
-export LANGPO := zh-cn ja
-#export NOPDF := zh-cn
+# un-comment to skip building PDF for all
+#export NOPDF := en ru zh-cn de ja
 
 # UTF-8 locale
 export LC_ALL:= C.UTF-8
