=== debian/watch ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # debmake is quasi-native package and has no external upstream source.
 # It is *quasi* just because its package version uses the non-native format.
 opts="mode=git" \
- https://anonscm.debian.org/git/collab-maint/debmake-doc.git \
+ https://salsa.debian.org/debian/debmake-doc.git \
  refs/tags/upstream/([\d\.]+) debian
 # An alternative uscan approach is provided as well
 #opts="" \
