## debmake-doc 1.15

=== debian/changelog ===
debmake-doc (1.15-1) unstable; urgency=medium

  [ Holger Wansing ]
  * Fix dead link to KDE's 'Working with symbols files' doc. Closes: #959154

  [ Osamu Aoki ]
  * Document and use debhelper-compat and Upstream-Contact. Stop
    using debian/compat.  Closes: #915425, #964460
  * Bump COMPAT version semi-automatically with script.
  * Correct "binNMU safe".  Closes: #934909
  * Address "Source-only uploads".
  * Drop most of German translation to avoid build failures for now.
    Closes: #975856

 -- Osamu Aoki <osamu@debian.org>  Sat, 12 Dec 2020 12:58:20 +0900
