=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                autopoint,
                cmake,
                dblatex,
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                debmake (>= 4.2.8),
                devscripts,
                dh-python,
@@ -48,7 +48,7 @@
                w3m,
                xsltproc,
                zip
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://salsa.debian.org/debian/debmake-doc
 Vcs-Git: https://salsa.debian.org/debian/debmake-doc.git
 Vcs-Browser: https://salsa.debian.org/debian/debmake-doc
