=== debian/changelog ===
debmake-doc (1.16-1) unstable; urgency=medium

  [ Holger Wansing ]
  * Updated Debian Policy links.

  [ Osamu Aoki ]
  * Fix basedir.
  * Major source restructuring to use po4a and change main commit branch to
    master and avoid using itstools. Closes: #919058, #948781
  * Make review of the build log easier by adjusting parallel build process.
  * Fix zh-cn and zh-tw POs and made some recovery of old de translation.
    (More restructuring and further recovery need to be done)
  * Mention dgit-maint-merge(7).  Closes: #923667

 -- Osamu Aoki <osamu@debian.org>  Wed, 13 Jan 2021 14:22:36 +0900
