=== debian/control ===
--- 
+++ 
@@ -3,38 +3,21 @@
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: asciidoc,
-               autoconf,
-               automake,
-               autopoint,
-               cmake,
                dblatex,
                debhelper-compat (= 13),
-               debmake (>= 4.2.8),
-               devscripts,
                dh-python,
                docbook-xml,
                docbook-xsl,
-               faketime,
                fonts-arphic-bsmi00lp,
                fonts-arphic-gbsn00lp,
                fonts-ipafont,
                fonts-liberation,
                fonts-wqy-zenhei,
-               gettext,
-               gir1.2-gtk-3.0,
-               itstool,
+	       po4a,
                latex-cjk-all,
-               libltdl-dev,
-               libtool,
                libxml2-utils,
-               lintian,
                lmodern,
                locales-all | locales,
-               python3-all,
-               python3-debian,
-               python3-distutils-extra,
-               python3-gi,
-               quilt,
                texlive,
                texlive-lang-chinese,
                texlive-lang-cyrillic,
@@ -43,10 +26,8 @@
                texlive-lang-german,
                texlive-lang-japanese,
                texlive-xetex,
-               tree,
-               vim,
-               w3m,
                xsltproc,
+	       w3m,
                zip
 Standards-Version: 4.5.1
 Homepage: https://salsa.debian.org/debian/debmake-doc
